Problem installing Pyparsing

Ian Kelly ian.g.kelly at gmail.com
Mon Mar 11 21:15:17 CET 2013


On Mon, Mar 11, 2013 at 12:55 PM, Jaime Stuardo <jstuardo at desytec.com> wrote:
> Hello…
>
> I have downloaded pyparsing-2.0.0 files.  When I run “python setup.py
> install” I get this error:
>
> Traceback (most recent call last):
>   File "setup.py", line 9, in <module>
>     from pyparsing import __version__ as pyparsing_version
>   File "/tmp/openerp-7.0-20130311-002114/pyparsing-2.0.0/pyparsing.py", line
> 629
>     nonlocal limit,foundArity
>                  ^
> SyntaxError: invalid syntax
>
>
> How can I solve it?

nonlocal is a Python 3 keyword.  The error suggests that you are
probably running this with Python 2.  Either upgrade your Python
version to 3.x or find another version of pyparsing that supports
Python 2.



More information about the Python-list mailing list